package com.lejos.programmingbook.bluetooth;

import lejos.hardware.lcd.LCD;
import lejos.remote.nxt.BTConnection;
import lejos.remote.nxt.BTConnector;
import lejos.utility.Delay;

public class A52_BTReceiver {

	public static void main(String[] args) {

		BTConnector connector = new BTConnector();
		BTConnection connection = connector.waitForConnection(60000, BTConnection.PACKET);

		System.out.println("Got connection: " + connection);
		int length = 1;
		while (length > 0) {
			// Puffer normalerweise wiederverwenden
			byte[] buffer = new byte[255];
			length = connection.read(buffer, 255);
			System.out.println(length + " bytes read");
			System.out.println(new String(buffer));
			LCD.clear();
			LCD.drawString(new String(buffer), 1, 1);
			Delay.msDelay(500);
		}
	}
}
