package com.lejos.programmingbook.chapter2;

import lejos.hardware.Brick;
import lejos.hardware.BrickFinder;
import lejos.hardware.lcd.GraphicsLCD;
import lejos.utility.Delay;

public class A423_LCDGraphicsDrawing {

	public static void main(String[] args) {

		Brick ev3 = BrickFinder.getDefault();
		GraphicsLCD g = ev3.getGraphicsLCD();

		g.clear();
		g.drawLine(0, 0, 177, 127);
		g.drawLine(0, 127, 177, 0);
		g.drawArc(88, 63, 20, 20, 0, 360);
		g.drawString("Lego Demo", 15, 0, GraphicsLCD.TOP);

		Delay.msDelay(2000);

	}

}
