package com.lejos.programmingbook.chapter3;

import lejos.hardware.motor.EV3LargeRegulatedMotor;
import lejos.hardware.port.MotorPort;
import lejos.utility.Delay;

public class A432_MotorControlLoop {

	public static void main(String[] args) {

		EV3LargeRegulatedMotor motorB = new EV3LargeRegulatedMotor(MotorPort.B);
		motorB.setSpeed(75);
		EV3LargeRegulatedMotor motorC = new EV3LargeRegulatedMotor(MotorPort.C);
		motorC.setSpeed(75);

		for (int i = 0; i < 5; i++) {
			// start both motors
			motorB.rotate(20, true);
			motorC.rotate(20);
			Delay.msDelay(1000);
		}

		motorB.close();
		motorC.close();

	}

}
