package com.lejos.programmingbook.chapter4;

import lejos.hardware.lcd.LCD;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3ColorSensor;
import lejos.robotics.Color;
import lejos.utility.Delay;

public class A442_ColorOutputSwitch {

	public static void main(String[] args) {
		EV3ColorSensor colorSensor = new EV3ColorSensor(SensorPort.S1);

		while (true) {
			LCD.clear();
			switch (colorSensor.getColorID()) {
			case Color.BLACK:
				LCD.drawString("Schwarz", 0, 0);
				break;
			case Color.BLUE:
				LCD.drawString("Blau", 0, 0);
				break;
			case Color.GREEN:
				LCD.drawString("Gruen", 0, 0);
				break;
			case Color.YELLOW:
				LCD.drawString("Gelb", 0, 0);
				break;
			case Color.RED:
				LCD.drawString("Rot", 0, 0);
				break;
			case Color.WHITE:
				LCD.drawString("Weiss", 0, 0);
				break;
			case Color.BROWN:
				LCD.drawString("Braun", 0, 0);
				break;
			default:
				LCD.drawString("Keine", 0, 0);
				break;
			}
			Delay.msDelay(1000);
		}

		// colorsensor.close();

	}

}
