package com.lejos.programmingbook.chapter4;

import de.lejos.fwk.motor.DifferentialDrive;
import de.lejos.fwk.sensor.IRSensor;
import lejos.hardware.Sound;
import lejos.hardware.port.SensorPort;
import lejos.utility.Delay;

public class A443_MotorControlLoopBreakFramework {

	public static void main(String[] args) {

		IRSensor irsensor = new IRSensor(SensorPort.S4);
		DifferentialDrive differentialDrive = new DifferentialDrive(400);

		outerloop: while (irsensor.getDistance() > 30) {
			for (int i = 0; i < 5; i++) {
				differentialDrive.rotate(20, 20);
				if (irsensor.getDistance() < 30) {
					break outerloop;
				}
				Delay.msDelay(1000);
			}
			Sound.playTone(880, 250);
		}
		differentialDrive.close();
		irsensor.close();

	}

}
