package com.lejos.programmingbook.chapter5;

import de.lejos.fwk.motor.DifferentialDrive;
import de.lejos.fwk.sensor.IRSensor;
import lejos.hardware.port.SensorPort;

public class A453_MotorSpeedDistanceControl {

	public static void main(String[] args) {

		IRSensor irsensor = new IRSensor(SensorPort.S4);
		DifferentialDrive differentialDrive = new DifferentialDrive(400);

		differentialDrive.forward();

		while (irsensor.getDistance() > 20) {
			differentialDrive.setSpeed(Float.valueOf(irsensor.getDistance()).intValue() * 5);
		}
		differentialDrive.close();
		irsensor.close();

	}

}
