package com.lejos.programmingbook.chapter5;

import lejos.hardware.Button;
import lejos.hardware.lcd.LCD;
import lejos.utility.Delay;

public class A454_MathSample {

	public static void main(String[] args) {

		int i = 0;
		int buttonId = 0;
		while (true) {
			LCD.clear();
			LCD.drawInt(i, 0, 0);
			LCD.drawInt(i * 3, 0, 3);
			buttonId = Button.waitForAnyPress();
			if (buttonId == Button.ID_DOWN) {
				i--;
			} else if (buttonId == Button.ID_UP) {
				i++;
			}
			Delay.msDelay(200);
		}

	}

}
