package com.lejos.programmingbook.chapter8;

import de.lejos.fwk.motor.DifferentialDrive;
import de.lejos.fwk.sensor.IRSensor;
import de.lejos.fwk.sensor.TouchSensor;
import lejos.hardware.port.SensorPort;

public class A481_MotorStopDistanceTouch {

	public static void main(String[] args) {

		IRSensor irsensor = new IRSensor(SensorPort.S4);
		TouchSensor touchsensor = new TouchSensor(SensorPort.S2);
		DifferentialDrive differentialDrive = new DifferentialDrive(400);

		differentialDrive.forward();

		while ((irsensor.getDistance() > 20) && (!touchsensor.isPressed())) {
		}
		differentialDrive.close();
		irsensor.close();
		touchsensor.close();
	}

}
