package com.lejos.programmingbook.chapter8;

import de.lejos.fwk.motor.DifferentialDrive;
import de.lejos.fwk.sensor.IRSensor;
import de.lejos.fwk.sensor.TouchSensor;
import lejos.hardware.port.SensorPort;

public class A482_MotorSteerRandomStopTouch {

	public static void main(String[] args) {

		IRSensor irsensor = new IRSensor(SensorPort.S4);
		TouchSensor touchsensor = new TouchSensor(SensorPort.S2);
		DifferentialDrive differentialDrive = new DifferentialDrive(400);

		differentialDrive.forward();

		while (!touchsensor.isPressed()) {
			if (irsensor.getDistance() < 20) {
				int rotationAngle = 400 + (int) (Math.random() * 200);
				differentialDrive.rotate(rotationAngle, -rotationAngle);
			}
			differentialDrive.forward();
		}
		differentialDrive.stop();
		differentialDrive.close();
		touchsensor.close();
		irsensor.close();

	}

}
