package com.lejos.programmingbook.chapter8;

import de.lejos.fwk.sensor.IRSensor;
import lejos.hardware.lcd.LCD;
import lejos.hardware.port.SensorPort;
import lejos.utility.Delay;

public class A483_LCDTextOutputDistance {

	public static void main(String[] args) {

		IRSensor irsensor = new IRSensor(SensorPort.S4);

		while (true) {
			LCD.clear();
			float entfernung = irsensor.getDistance();
			if (entfernung < 20) {
				LCD.drawString("nah", 0, 0);
			} else if (entfernung > 50) {
				LCD.drawString("weit", 0, 0);
			} else {
				LCD.drawString("im Bereich", 0, 0);
			}
			Delay.msDelay(500);
		}
		// irsensor.close();

	}

}
