package com.lejos.programmingbook.linefollower;

import lejos.hardware.motor.EV3LargeRegulatedMotor;
import lejos.hardware.port.MotorPort;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3ColorSensor;
import lejos.robotics.Color;

public class A511_LineFollowerSingleSensor {

	public static void main(String[] args) {
		
		EV3LargeRegulatedMotor motorB = new EV3LargeRegulatedMotor(MotorPort.B);
		motorB.setSpeed(300);
		EV3LargeRegulatedMotor motorC = new EV3LargeRegulatedMotor(MotorPort.C);
		motorC.setSpeed(300);
		EV3ColorSensor colorSensor = new EV3ColorSensor(SensorPort.S1);

		motorB.forward();
		motorC.forward();
		while (true) {
			if (colorSensor.getColorID() == Color.BLACK) {
				motorB.stop();
				motorC.forward();
			} else {
				motorB.forward();
				motorC.stop();
			}
		}

	}

}
