package com.lejos.programmingbook.linefollower;

import lejos.hardware.motor.EV3LargeRegulatedMotor;
import lejos.hardware.port.MotorPort;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3ColorSensor;
import lejos.robotics.Color;

public class A511_LineFollowerSingleSensorSmooth {

	public static void main(String[] args) {
		
		EV3LargeRegulatedMotor motorB = new EV3LargeRegulatedMotor(MotorPort.B);
		motorB.setSpeed(200);
		EV3LargeRegulatedMotor motorC = new EV3LargeRegulatedMotor(MotorPort.C);
		motorC.setSpeed(200);
		EV3ColorSensor colorSensor = new EV3ColorSensor(SensorPort.S1);

		motorB.forward();
		motorC.forward();
		while (true) {
			if (colorSensor.getColorID() == Color.BLACK) {
				motorB.setSpeed(20);
				motorC.setSpeed(100);
			} else {
				motorB.setSpeed(100);
				motorC.setSpeed(20);
			}
		}

	}

}
