package com.lejos.programmingbook.pong;

/**
 * The <code>GoalChecker</code> interface defines a method to check for a goal
 * based on the ball's position.
 * 
 * @author Alexander Schulze
 */
public interface GoalChecker {
	/**
	 * @param ballPosX the x-position to check
	 * @return <code>true</code> if the x-position is a goal
	 */
	boolean checkForGoal(int ballPosX);

}
