// Name des Pakets der aktuellen Klasse
package de.java.sample;

// Verwendung von Klassen anderer Pakete
import java.util.Random;

// Definition einer Klasse
public class JavaDemo {
	// geschweifte Klammern fr die Festlegung eines Blocks
	// zu jeder geffneten Klammer muss eine geschlossene existieren

	// Definition einer Methode main
	// - runde Klammern fr Methodensignatur
	// und Definition der mglichen Parameter 
	// - eckige Klammern fr eine Felddefinition
	public static void main(String[] args) {
		// Erzeugen einer neuen Objektinstanz der Klasse Random
		// Schlsselwort: new
		// Abschluss des Befehlaufrufs mit einem Semikolon
		Random myRandom = new Random();

		// Aufruf einer Methode nextInt ohne Parameter
		// Klammerung des Prfausdrucks in runden Klammern
		if (myRandom.nextInt() < 100) {
			// Aufruf der Methode println mit einem Text als Parameter
			System.out.println("Zufallszahl ist kleiner als 100");
		} else {
			// Aufruf zweier Methoden println in einem Block
			// Beide Methoden im else-Block werden gerufen
			// solange die erste Methode fehlerfrei durchlaufen wird
			System.out.println("Schade");
			System.out.println("Erneut versuchen");
		}
	}
}


