package com.lejos.programmingbook.chapter1;

import lejos.hardware.motor.EV3LargeRegulatedMotor;
import lejos.hardware.port.MotorPort;

public class A412_MotorControl {

	public static void main(String[] args) {
		
		EV3LargeRegulatedMotor motorB = new EV3LargeRegulatedMotor(MotorPort.B);
		motorB.setSpeed(400);
		EV3LargeRegulatedMotor motorC = new EV3LargeRegulatedMotor(MotorPort.C);
		motorC.setSpeed(400);
		
		// start both motors
		motorB.rotate(360, true);
		motorC.rotate(360);
		
		// initiate steering
		motorB.setSpeed(200);
		motorB.rotate(180);
		
		motorB.close();
		motorC.close();
		

	}

}
