package com.lejos.programmingbook.chapter1;

import lejos.hardware.motor.EV3LargeRegulatedMotor;
import lejos.hardware.port.MotorPort;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3ColorSensor;
import lejos.robotics.Color;

public class A414_MotorControl {

	public static void main(String[] args) {

		EV3ColorSensor colorSensor = new EV3ColorSensor(SensorPort.S1);

		EV3LargeRegulatedMotor motorB = new EV3LargeRegulatedMotor(MotorPort.B);
		motorB.setSpeed(400);
		EV3LargeRegulatedMotor motorC = new EV3LargeRegulatedMotor(MotorPort.C);
		motorC.setSpeed(400);

		motorB.forward();
		motorC.forward();

		while (colorSensor.getColorID() != Color.RED) {
		}

		motorB.stop();
		motorC.rotate(360);

		motorB.rotate(1080, true);
		motorC.rotate(1080);

		motorB.rotate(360);
		motorB.rotate(720, true);
		motorC.rotate(720);

		motorB.rotate(360);
		motorB.rotate(1080, true);
		motorC.rotate(1080);

		motorC.rotate(360);

		motorB.forward();
		motorC.forward();

		while (colorSensor.getColorID() != Color.BLUE) {
		}

		motorB.stop();
		motorC.stop();

		motorB.close();
		motorC.close();
		colorSensor.close();

	}

}
