package com.lejos.programmingbook.chapter3;

import lejos.hardware.motor.EV3LargeRegulatedMotor;
import lejos.hardware.port.MotorPort;

public class A431_MotorControlLoop {

	public static void main(String[] args) {

		EV3LargeRegulatedMotor motorB = new EV3LargeRegulatedMotor(MotorPort.B);
		motorB.setSpeed(400);
		EV3LargeRegulatedMotor motorC = new EV3LargeRegulatedMotor(MotorPort.C);
		motorC.setSpeed(400);

		for (int i = 0; i < 4; i++) {
			// start both motors
			motorB.rotate(720, true);
			motorC.rotate(720);

			// initiate steering
			motorB.rotate(420);
		}

		motorB.close();
		motorC.close();

	}

}
