package com.lejos.programmingbook.chapter6;

import de.lejos.fwk.motor.DifferentialDrive;
import lejos.utility.Delay;

public class A461_A462_RobotMovement {

	public static double PI = 3.14159265359;
	public static double DURCHMESSER = 4.32;
	public static double ROBOTERDURCHMESSER = 11;
	public static double UMFANG = PI * DURCHMESSER;

	private DifferentialDrive differentialDrive = null;

	public A461_A462_RobotMovement() {
		differentialDrive = new DifferentialDrive(50);
	}

	public void moveDistance(int geschwindigkeit, int strecke) {
		differentialDrive.setSpeed(geschwindigkeit);
		int angle = (int) (strecke / UMFANG * 360);
		differentialDrive.rotate(angle, angle);
	}

	public void rotateByDegrees(int geschwindigekit, int roboterdrehung) {
		int strecke = (int) (ROBOTERDURCHMESSER * PI * roboterdrehung / 360);
		int angle = (int) (strecke / UMFANG * 360);
		differentialDrive.setSpeed(geschwindigekit);
		differentialDrive.rotate(angle, -angle);
	}

	public static void main(String[] args) {
		A461_A462_RobotMovement robotMovement = new A461_A462_RobotMovement();
		robotMovement.moveDistance(400, 20);
		Delay.msDelay(1000);
		robotMovement.rotateByDegrees(500, 90);
		Delay.msDelay(1000);
		robotMovement.rotateByDegrees(250, -45);
		Delay.msDelay(1000);
		robotMovement.moveDistance(100, -10);
	}

}
