package com.lejos.programmingbook.linefollower;

import lejos.hardware.motor.EV3LargeRegulatedMotor;
import lejos.hardware.port.MotorPort;
import lejos.hardware.port.SensorPort;
import lejos.hardware.sensor.EV3ColorSensor;

public class A513_LineFollowerSingleSensorProportionalFactor {

	public static void main(String[] args) {

		EV3LargeRegulatedMotor motorB = new EV3LargeRegulatedMotor(MotorPort.B);
		motorB.setSpeed(50);
		EV3LargeRegulatedMotor motorC = new EV3LargeRegulatedMotor(MotorPort.C);
		motorC.setSpeed(50);
		EV3ColorSensor colorSensor = new EV3ColorSensor(SensorPort.S1);
		// set to reflect light mode
		colorSensor.getRedMode();

		motorB.forward();
		motorC.forward();
		float[] reflectedLight = new float[1];
		while (true) {
			colorSensor.fetchSample(reflectedLight, 0);
			motorB.setSpeed(reflectedLight[0] * 100);
			motorC.setSpeed(100 - reflectedLight[0] * 100);
		}

	}

}
